Bug 12800 - /usr/include/asm and /usr/include/linux not present in kernel-headers-2.2.16-3
/usr/include/asm and /usr/include/linux not present in kernel-headers-2.2.16-3
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-21 21:32 EDT by Peter Surda
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-21 21:32:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Surda 2000-06-21 21:32:39 EDT
Hi!

Just installed kernel-2.2.16 and suddenly couldn't compile some stuff.
Found out that /usr/include/asm and /usr/include/linux, which are usually
symlinks, are not present.

To fix this do
ln -sf /usr/src/linux/include/asm /usr/include/asm
ln -sf /usr/src/linux/include/linux /usr/include/linux

BTW thanx for agpgart, but I think a RPM of 2.2.16 should have been out
faster.

Bye, Shurdeek
Comment 1 Doug Ledford 2000-06-22 20:22:39 EDT
If you do a force install of the kernel-headers RPM after you've already
upgraded it then it works around this bug.  As far as the bug itself is
concerned, this is an RPM packaging error that will be addressed in the next
kernel-headers rpm package.
Comment 2 Peter Surda 2000-06-23 02:14:27 EDT
There's another one: there's no /boot/kernel.h, only /boot/kernel-2.2.16. I
suppose this one should be symlinked too. BTW I think it's easier (and more
correct) to do a few ln -sf 's instead of forcing a reinstall.

Note You need to log in before you can comment on or make changes to this bug.